Returns the autopilot including its alerts. To get the autopilot data the user needs to be the owner of the project or 'read' permissions of the feature 'project-master-data' globally or in their project role.
Authentication
AuthorizationBearerSend your token in the Authorization: Bearer <token> header. See Authentication for API keys and OAuth.
Path parameters
autopilotIdstringRequiredThe id of the autopilot.
Responses
200 OK
application/json
typestringRequired1 The type of the autopilot.
enabledbooleanRequiredWhether the autopilot is enabled.
alertsarray of objectRequiredThe alerts of the autopilot. The collection must contain every alert type returned by GET /autopilot/availablealerts, including alerts that should be disabled.
Show 4 properties
idstringRequiredThe id of the alert.
alertstringRequired1 The alert indicator.
enabledbooleanRequiredWhether the alert is enabled.
channelstringRequired1 The channel of the alert.
idstringOptionalThe id of the autopilot.
createdOnstringOptionalThe date this object was created.
createdBystringOptionalThe id of the user who created this object.
updatedOnstringOptionalThe date this object was last modified.
updatedBystringOptionalThe id of the user who last modified this object.